package com.happy.dao;

import com.happy.Model.HousePrice;
import com.happy.dto.HousePriceDto;
import com.happy.vo.HotelPriceDataVo;
import com.happy.vo.HousePriceDataVo;

import java.util.List;

public interface HousePriceDao {
    void insertBatch(List<HousePrice> housePriceList);

    /**
     * @param housePriceDto 查询参数
     * @param pageNumber    页码
     * @param pageSize      每页显示的条数
     */
    List<HousePriceDto> queryListOne(HousePriceDto housePriceDto, Integer pageNumber, Integer pageSize);

    /**
     * @param housePriceDto 查询参数
     */
    int queryTotalOne(HousePriceDto housePriceDto);

    /**
     * @param housePriceDto 查询参数
     */
    List<HousePriceDto> queryListTwo(HousePriceDto housePriceDto);

    /**
     * @param housePriceDto 查询参数
     * @param pageNumber    页码
     * @param pageSize      每页显示的条数
     */
    List<HousePriceDto> queryListThree(HousePriceDto housePriceDto, Integer pageNumber, Integer pageSize);

    /**
     * @param housePriceDto 查询参数
     */
    int queryTotalThree(HousePriceDto housePriceDto);

    /**
     * 根据商户ID查询每日价格
     * @param managerId
     * @param startTime
     * @param endTime
     * @return
     */
    List<HousePriceDataVo> queryHousePriceDatas(Integer managerId, String startTime, String endTime);

    /**
     * 批量获取民宿的价格设置数据
     * @param managerIds
     * @param startTime
     * @return
     */
    List<HotelPriceDataVo> queryHotelPriceDatas(String managerIds, String startTime);

    /**
     * 根据房型ID查询每日价格
     * @param houseId
     * @param startTime
     * @param endTime
     * @return
     */
    List<HousePriceDataVo> queryPriceByHouseId(String houseId, String startTime, String endTime);
}
